Subject: Re: [PATCH v3] ci: disallow directional formatting

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Nov 2021 12:08:25 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> So you are comparing
>>
>>  * requiring bash and C.UTF-8 locale to be available
>>
>> vs
>>
>>  * requiring git built with PCRE
>>
>> assuming that "Dscho says doesn't work with PCRE and you say it
>> works with PCRE" is resolved?  They seem roughly the same
>> difficulty to me.
>
> We can hard depend on a git built with PCRE, since the point of this
> thing is to run in GitHub CI, Ubuntu builds git with PCRE, and that's
> unlikely to ever change.

Yes, so is the availability of bash and C.UTF-8 for the same reason:
we are talking about controlled environment.  That is what I meant
by "roughly the same difficulty to me".

FWIW, I am OK with either approach, as I find the patch in question
is just as readable as any rewrite that would use "grep -P", so...